GetMedicalScribeListeningSession - Amazon Connect Health

GetMedicalScribeListeningSession

Retrieves details about an existing Medical Scribe listening session

Request Syntax

GET /medical-scribe-stream/domain/domainId/subscription/subscriptionId/session/sessionId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainId

The Domain identifier

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

sessionId

The Session identifier

Length Constraints: Fixed length of 36.

Pattern: .*[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}.*

Required: Yes

subscriptionId

The Subscription identifier

Length Constraints: Fixed length of 25.

Pattern: sub-[a-zA-Z0-9]{21}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "medicalScribeListeningSessionDetails": { "channelDefinitions": [ { "channelId": number, "participantRole": "string" } ], "domainId": "string", "encounterContextProvided": boolean, "languageCode": "string", "mediaEncoding": "string", "mediaSampleRateHertz": number, "postStreamActionResult": { "clinicalNoteGenerationResult": { "afterVisitSummaryResult": { "failureReason": "string", "outputLocation": "string", "status": "string" }, "noteResult": { "failureReason": "string", "outputLocation": "string", "status": "string" }, "transcriptResult": { "failureReason": "string", "outputLocation": "string", "status": "string" } } }, "postStreamActionSettings": { "clinicalNoteGenerationSettings": { "noteTemplateSettings": { ... } }, "outputS3Uri": "string" }, "sessionId": "string", "streamCreationTime": number, "streamEndTime": number, "streamStatus": "string", "subscriptionId": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

medicalScribeListeningSessionDetails

Details about the Medical Scribe listening session

Type: MedicalScribeListeningSessionDetails object

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota.

HTTP Status Code: 402

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: